Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.smil
Enum OdfAdditiveType

    java.lang.Object
      java.lang.Enum<OdfAdditiveType>
          org.odftoolkit.odfdom.dom.type.smil.OdfAdditiveType

All Implemented Interfaces:
  Serializable, Comparable<OdfAdditiveType>

    public enum OdfAdditiveType

extends Enum<OdfAdditiveType>

DOM implementation of OpenDocument attribute smil:additive.

Enum Constant Summary
`REPLACE`
`SUM`

Method Summary
`static OdfAdditiveType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfAdditiveType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfAdditiveType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfAdditiveType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUM

    public static final OdfAdditiveType SUM

### REPLACE

    public static final OdfAdditiveType REPLACE

Method Detail

### values

    public static OdfAdditiveType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfAdditiveType c : OdfAdditiveType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfAdditiveType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfAdditiveType>`
  Returns:
    return the name of OdfAdditiveType

### toString

    public static String toString(OdfAdditiveType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfAdditiveType, see smil:additive
  Returns:
    return the name of OdfAdditiveType

### enumValueOf

    public static OdfAdditiveType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfAdditiveType
  Returns:
    return the constant of OdfAdditiveType, see smil:additive

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.